### Hierarchy

- Checkbox
  - Toggle

### Implements

- ControlValueAccessor
- AfterViewInit

## Index

### Inputs

- _ariaLabel
- _ariaLabelledby
- disabled
- hideLabel
- id
- inline
- name
- nested
- required
- size
- skeleton
- value
- ariaLabel
- ariaLabelledby
- checked
- indeterminate

### Outputs

- change
- checkedChange
- click
- indeterminateChange

### Constructors

- constructor

### Properties

- _ariaLabel
- _ariaLabelledby
- _checked
- _indeterminate
- change
- changeDetectorRef
- checkedChange
- click
- currentCheckboxState
- disabled
- hideLabel
- id
- indeterminateChange
- inline
- inputCheckbox
- name
- nested
- required
- size
- skeleton
- value
- checkboxCount

### Accessors

- ariaLabel
- ariaLabelledby
- checked
- indeterminate

### Methods

- emitChangeEvent
- focusOut
- ngAfterViewInit
- onChange
- onClick
- onTouched
- propagateChange
- registerOnChange
- registerOnTouched
- setChecked
- setDisabledState
- toggle
- transitionCheckboxState
- writeValue

## Constructors

### constructor

- new Checkbox(changeDetectorRef: ChangeDetectorRef): Checkbox

- - Defined in src/checkbox/checkbox.component.ts:264

  #### Parameters

  - ##### changeDetectorRef: ChangeDetectorRef

  #### Returns Checkbox

## Properties

### _ariaLabel

@Input({"bindingPropertyName":"ariaLabel"})
_ariaLabel: string = ""

- Defined in src/checkbox/checkbox.component.ts:153

### _ariaLabelledby

@Input({"bindingPropertyName":"ariaLabelledby"})
_ariaLabelledby: string

- Defined in src/checkbox/checkbox.component.ts:171

### _checked

_checked: boolean = false

- Defined in src/checkbox/checkbox.component.ts:249

### _indeterminate

_indeterminate: boolean = false

- Defined in src/checkbox/checkbox.component.ts:253

### change

@Output()
change: EventEmitter<any> = new EventEmitter<any>()

- Defined in src/checkbox/checkbox.component.ts:231

### Protected changeDetectorRef

changeDetectorRef: ChangeDetectorRef

- Defined in src/checkbox/checkbox.component.ts:269

### checkedChange

@Output()
checkedChange: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/checkbox/checkbox.component.ts:238

### click

@Output()
click: EventEmitter<void> = new EventEmitter<void>()

- Defined in src/checkbox/checkbox.component.ts:224

### currentCheckboxState

currentCheckboxState: CheckboxState = CheckboxState.Init

- Defined in src/checkbox/checkbox.component.ts:258

### disabled

@Input()
disabled: boolean = false

- Defined in src/checkbox/checkbox.component.ts:112

### hideLabel

@Input()
hideLabel: boolean = false

- Defined in src/checkbox/checkbox.component.ts:120

### id

@Input()
id: string = `checkbox-${Checkbox.checkboxCount}`

- Defined in src/checkbox/checkbox.component.ts:128

### indeterminateChange

@Output()
indeterminateChange: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/checkbox/checkbox.component.ts:244

### inline

@Input()
inline: boolean = false

- Defined in src/checkbox/checkbox.component.ts:108

### inputCheckbox

@ViewChild({"selector":"inputCheckbox","opts":"{ static: false }"})
inputCheckbox: ElementRef

- Defined in src/checkbox/checkbox.component.ts:264

### name

@Input()
name: string

- Defined in src/checkbox/checkbox.component.ts:124

### nested

@Input()
nested: boolean

- Defined in src/checkbox/checkbox.component.ts:104

### required

@Input()
required: boolean

- Defined in src/checkbox/checkbox.component.ts:132

### size

@Input()
size: "sm" | "md" = "md"

- Defined in src/checkbox/checkbox.component.ts:98

### skeleton

@Input()
skeleton: boolean = false

- Defined in src/checkbox/checkbox.component.ts:116

### value

@Input()
value: CheckboxValue

- Defined in src/checkbox/checkbox.component.ts:136

### Static checkboxCount

checkboxCount: number = 0

- Defined in src/checkbox/checkbox.component.ts:91

## Accessors

### ariaLabel

@Input({"bindingPropertyName":"aria-label"})
ariaLabel:

- Defined in src/checkbox/checkbox.component.ts:143
- Defined in src/checkbox/checkbox.component.ts:147

### ariaLabelledby

@Input({"bindingPropertyName":"aria-labelledby"})
ariaLabelledby:

- Defined in src/checkbox/checkbox.component.ts:161
- Defined in src/checkbox/checkbox.component.ts:165

### checked

@Input()
checked:

- Defined in src/checkbox/checkbox.component.ts:210
- Defined in src/checkbox/checkbox.component.ts:217

### indeterminate

@Input()
indeterminate:

- Defined in src/checkbox/checkbox.component.ts:178
- Defined in src/checkbox/checkbox.component.ts:201

## Methods

### emitChangeEvent

- emitChangeEvent(): void

- - Defined in src/checkbox/checkbox.component.ts:366

  #### Returns void

### focusOut

@HostListener({"eventName":"focusout"})

- focusOut(): void

- - Defined in src/checkbox/checkbox.component.ts:321

  #### Returns void

### ngAfterViewInit

- ngAfterViewInit(): void

- - Defined in src/checkbox/checkbox.component.ts:381

  #### Returns void

### onChange

- onChange(event: Event): void

- - Defined in src/checkbox/checkbox.component.ts:328

  #### Parameters

  - ##### event: Event

  #### Returns void

### onClick

- onClick(event: Event): void

- - Defined in src/checkbox/checkbox.component.ts:335

  #### Parameters

  - ##### event: Event

  #### Returns void

### onTouched

- onTouched(): void

- - Defined in src/checkbox/checkbox.component.ts:354

  #### Returns void

### propagateChange

- propagateChange(_: any): void

- - Defined in src/checkbox/checkbox.component.ts:390

  #### Parameters

  - ##### _: any

  #### Returns void

### registerOnChange

- registerOnChange(fn: any): void

- - Defined in src/checkbox/checkbox.component.ts:296

  #### Parameters

  - ##### fn: any

  #### Returns void

### registerOnTouched

- registerOnTouched(fn: any): void

- - Defined in src/checkbox/checkbox.component.ts:304

  #### Parameters

  - ##### fn: any

  #### Returns void

### Private setChecked

- setChecked(checked: boolean, resetIndeterminate: boolean): void

- - Defined in src/checkbox/checkbox.component.ts:395

  #### Parameters

  - ##### checked: boolean

  - ##### resetIndeterminate: boolean

  #### Returns void

### setDisabledState

- setDisabledState(isDisabled: boolean): void

- - Defined in src/checkbox/checkbox.component.ts:315

  #### Parameters

  - ##### isDisabled: boolean

  #### Returns void

### toggle

- toggle(): void

- - Defined in src/checkbox/checkbox.component.ts:276

  #### Returns void

### transitionCheckboxState

- transitionCheckboxState(newState: CheckboxState): void

- - Defined in src/checkbox/checkbox.component.ts:359

  #### Parameters

  - ##### newState: CheckboxState

  #### Returns void

### writeValue

- writeValue(value: any): void

- - Defined in src/checkbox/checkbox.component.ts:288

  #### Parameters

  - ##### value: any

  #### Returns void

Generated using TypeDoc